/**
@mainpage roscpp

@htmlinclude manifest.html

\b roscpp is a ROS client implementation in C++.  The main parts of \b roscpp are:

 - \ref ros::init() : A version of ros::init() must be called before using any of the rest of the ROS system.
 - \ref ros::NodeHandle : Public interface to topics, services, parameters, etc.
 - \ref ros::master : Contains functions for querying information from the master
 - \ref ros::this_node : Contains functions for querying information about this process' node
 - \ref ros::service : Contains functions for querying information about services
 - \ref ros::param : Contains functions for querying the parameter service without the need for a ros::NodeHandle
 - \ref ros::names : Contains functions for manipulating ROS graph resource names

@par Examples

Many examples of using ROS can be found <a href="http://wiki.ros.org/ROS/Tutorials">on the wiki</a> and in the <a href="http://wiki.ros.org/roscpp_tutorials">roscpp_tutorials</a> package.

*/
